Loading...
Searching...
No Matches
Miscellaneous library routines
Apache Portability Runtime library
Collaboration diagram for Miscellaneous library routines:

## Macros

#define | APR_ASCII_BLANK '\040'
#define | APR_ASCII_CR '\015'
#define | APR_ASCII_LF '\012'
#define | APR_ASCII_TAB '\011'
#define | APR_OFFSET(p_type, field) ((long) (((char *) (&(((p_type)NULL)->field))) - ((char *) NULL)))
#define | APR_ALIGN(size, boundary) (((size) + ((boundary) - 1)) & ~((boundary) - 1))
#define | APR_ALIGN_DEFAULT(size) APR_ALIGN(size, 8)
#define | memmove(a, b, c) bcopy(b,a,c)

## Typedefs

typedef int | apr_signum_t

## Functions

void * | memchr (const void *s, int c, size_t n)

## Detailed Description

This is collection of oddballs that didn't fit anywhere else, and might move to more appropriate headers with the release of APR 1.0.

## Macro Definition Documentation

## APR_ALIGN

#define APR_ALIGN | ( |  | size,
|  |  | boundary
| ) |  | (((size) + ((boundary) - 1)) & ~((boundary) - 1))

Finding offsets of elements within structures.

Parameters

  s_type | structure type name
  field | data field within the structure

Returns
  offset Alignment macros

## APR_ALIGN_DEFAULT

#define APR_ALIGN_DEFAULT | ( |  | size | ) | APR_ALIGN(size, 8)

Default alignment

## APR_ASCII_BLANK

#define APR_ASCII_BLANK '\040'

FALSE TRUE a space

## APR_ASCII_CR

#define APR_ASCII_CR '\015'

a carrige return

## APR_ASCII_LF

#define APR_ASCII_LF '\012'

a line feed

## APR_ASCII_TAB

#define APR_ASCII_TAB '\011'

a tab

## APR_OFFSET

#define APR_OFFSET | ( |  | p_type,
|  |  | field
| ) |  | ((long) (((char *) (&(((p_type)NULL)->field))) - ((char *) NULL)))

Finding offsets of elements within structures. Taken from the X code... they've sweated portability of this stuff so we don't have to. Sigh...

Parameters

  p_type | pointer type name
  field | data field within the structure pointed to

Returns
  offset

## memmove

#define memmove | ( |  | a,
|  |  | b,
|  |  | c
| ) |  | bcopy(b,a,c)

String and memory functions

## Typedef Documentation

## apr_signum_t

typedef int apr_signum_t

signal numbers typedef